import {mapFromObject} from '../../util';

interface Input {
	readonly tiles: string[];
	readonly collision: boolean[][];
	readonly layers: number[][][];
}

export default class MapData {
	public readonly tiles: string[];
	public readonly collision: boolean[][];
	public readonly layers: number[][][];

	public readonly width: number;
	public readonly height: number;

	constructor(data: Input) {
		this.tiles = data.tiles;
		this.collision = data.collision;
		this.layers = data.layers;

		this.height = this.collision.length;
		this.width = this.collision[0].length;
	}
}
